package models

import (
	"encoding/json"
	"log"
	"os"
)

type config struct {
	PostsDir     string
	AssetsDir    string
	TemplatesDir string
	TemplatesExt string
	LocalIP      string
	LocalPort    string
	ServerIP     string
	ServerPort   string
	ServerDomain string
	Port         string
}

var (
	Cfg = config{}
)

func init() {
	if err := Cfg.load("config.json"); err != nil {
		log.Fatalf("%v", err)
	}
}

func (c *config) load(configPath string) error {
	configFile, err := os.ReadFile(configPath)
	if err != nil {
		return err
	}
	err = json.Unmarshal(configFile, c)
	if err != nil {
		return err
	}
	return nil
}
