package models_pages

import (
	"bytes"
	"html/template"
	"time"
)

const (
	// Имя соответствующего шаблона
	MainRuPageTmplName = "main_ru.gohtml"
)

func RenderMainRuPage(templates *template.Template, version int64) ([]byte, error) {
	var pageData bytes.Buffer

	context := map[string]any{
		"version":            version,
		"renderingTimestamp": time.Now().Unix(),
	}

	if err := templates.ExecuteTemplate(&pageData, MainRuPageTmplName, context); err != nil {
		return nil, err
	}

	return pageData.Bytes(), nil
}
